## com.gargoylesoftware.htmlunit
Class ProxyConfig

    java.lang.Object
      com.gargoylesoftware.htmlunit.ProxyConfig

All Implemented Interfaces:
  java.io.Serializable

    public class ProxyConfig

extends java.lang.Object
implements java.io.Serializable

Class which centralizes proxy configuration, in an effort to reduce clutter in the `WebClient` class. One instance of this class exists for each `WebClient` instance.

Version:
  $Revision: 4595 $
Author:
  Daniel Gredler
See Also:
  `WebClient.getProxyConfig()`, Serialized Form

Constructor Summary
`ProxyConfig()` Creates a new instance.
`ProxyConfig(java.lang.String proxyHost, int proxyPort)` Creates a new instance.

Method Summary
`void` `addHostsToProxyBypass(java.lang.String pattern)` Any hosts matched by the specified regular expression pattern will bypass the configured proxy.
`protected java.lang.String` `getProxyAutoConfigContent()` Returns the proxy auto-config content.
`java.lang.String` `getProxyAutoConfigUrl()` Returns the proxy auto-config URL.
`java.lang.String` `getProxyHost()` Returns the proxy host used to perform HTTP requests.
`int` `getProxyPort()` Returns the proxy port used to perform HTTP requests.
`void` `removeHostsFromProxyBypass(java.lang.String pattern)` Any hosts matched by the specified regular expression pattern will no longer bypass the configured proxy.
`protected void` `setProxyAutoConfigContent(java.lang.String proxyAutoConfigContent)` Sets the proxy auto-config content.
`void` `setProxyAutoConfigUrl(java.lang.String proxyAutoConfigUrl)` Sets the proxy auto-config URL.
`void` `setProxyHost(java.lang.String proxyHost)` Sets the proxy host used to perform HTTP requests.
`void` `setProxyPort(int proxyPort)` Sets the proxy port used to perform HTTP requests.
`protected boolean` `shouldBypassProxy(java.lang.String hostname)` Returns `true` if the host with the specified hostname should be accessed bypassing the configured proxy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyConfig

    public ProxyConfig()

  Creates a new instance.

### ProxyConfig

    public ProxyConfig(java.lang.String proxyHost,
                       int proxyPort)

  Creates a new instance.

  Parameters:
    `proxyHost` - the proxy host
    `proxyPort` - the proxy port

Method Detail

### getProxyHost

    public java.lang.String getProxyHost()

  Returns the proxy host used to perform HTTP requests.

  Returns:
    the proxy host used to perform HTTP requests

### setProxyHost

    public void setProxyHost(java.lang.String proxyHost)

  Sets the proxy host used to perform HTTP requests.

  Parameters:
    `proxyHost` - the proxy host used to perform HTTP requests

### getProxyPort

    public int getProxyPort()

  Returns the proxy port used to perform HTTP requests.

  Returns:
    the proxy port used to perform HTTP requests

### setProxyPort

    public void setProxyPort(int proxyPort)

  Sets the proxy port used to perform HTTP requests.

  Parameters:
    `proxyPort` - the proxy port used to perform HTTP requests

### addHostsToProxyBypass

    public void addHostsToProxyBypass(java.lang.String pattern)

  Any hosts matched by the specified regular expression pattern will bypass the configured proxy.

  Parameters:
    `pattern` - a regular expression pattern that matches the hostnames of the hosts which should bypass the configured proxy.
  See Also:
    `Pattern`

### removeHostsFromProxyBypass

    public void removeHostsFromProxyBypass(java.lang.String pattern)

  Any hosts matched by the specified regular expression pattern will no longer bypass the configured proxy.

  Parameters:
    `pattern` - the previously added regular expression pattern
  See Also:
    `Pattern`

### shouldBypassProxy

    protected boolean shouldBypassProxy(java.lang.String hostname)

  Returns `true` if the host with the specified hostname should be accessed bypassing the configured proxy.

  Parameters:
    `hostname` - the name of the host to check
  Returns:
    `true` if the host with the specified hostname should be accessed bypassing the configured proxy, `false` otherwise.

### getProxyAutoConfigUrl

    public java.lang.String getProxyAutoConfigUrl()

  Returns the proxy auto-config URL.

  Returns:
    the proxy auto-config URL

### setProxyAutoConfigUrl

    public void setProxyAutoConfigUrl(java.lang.String proxyAutoConfigUrl)

  Sets the proxy auto-config URL.

  Parameters:
    `proxyAutoConfigUrl` - the proxy auto-config URL

### getProxyAutoConfigContent

    protected java.lang.String getProxyAutoConfigContent()

  Returns the proxy auto-config content.

  Returns:
    the proxy auto-config content

### setProxyAutoConfigContent

    protected void setProxyAutoConfigContent(java.lang.String proxyAutoConfigContent)

  Sets the proxy auto-config content.

  Parameters:
    `proxyAutoConfigContent` - the proxy auto-config content

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.